小松です。

In message of [ruby-dev:7610] core dump if require 2 or more libraries from irb
    on 1999/8/11 21:50:03 Katsuyuki Komatsu <komatsu / sarion.co.jp> wrote:
|irbから、
|    require "thread", "socket"
|とrequireを1度にやろうとするとcore dumpしてしまいました。

拡張ライブラリだけだと大丈夫ですね。

% irb      
irb(main):001:0> require "md5", "socket"
nil
irb(main):002:0> quit

% irb
irb(main):001:0> require "thread", "socket"
(irb):1: [BUG] Segmentation fault
異常終了 (コアダンプしました。)
% irb
irb(main):001:0> require "socket", "thread"
/usr/local/lib/ruby/1.3/thread.rb:92: [BUG] Segmentation fault
異常終了 (コアダンプしました。)
komatsu@ultra2% irb
irb(main):001:0> require "ftools", "profile"
/usr/local/lib/ruby/1.3/profile.rb:10: [BUG] Segmentation fault
異常終了 (コアダンプしました。)
% 

--
小松克行 / Katsuyuki Komatsu <komatsu / sarion.co.jp>